This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 831494 - [eap6][CLI] retrieving backing content for EAP6 deployment times out
[eap6][CLI] retrieving backing content for EAP6 deployment times out
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: JON 3.1.1
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 829751
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-06-13 02:49 EDT by Lukas Krejci
Modified: 2013-09-03 11:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 829751
Environment:
Last Closed: 2013-09-03 11:18:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2012-06-13 02:49:36 EDT
+++ This bug was initially created as a clone of Bug #829751 +++

Description of problem: When I try to retrieve backing content using CLI for a WAR deployed on EAP6 (standalone) it times out


Version-Release number of selected component (if applicable):
JON 3.1.CR3

How reproducible:always


Steps to Reproduce:
1.create a new Deployment child using UI, upload some WAR file
2.locate it's ID (part of URL in browser)
3.prepare another WAR file in /tmp/war.war
4.run CLI and do following:

var res = ProxyFactory.getResource(ID);
res.updateBackingContent('/tmp/war.war');
res.retrieveBackingContent('/tmp/retrieved.war');
  
Actual results: last operation fails with error message similar to this:

javax.ejb.EJBException: [Warning] java.lang.RuntimeException: Unable to retrieve package bits for resource: 10052 and package: 10011 before timeout.

In agent log .. following error occurs:

2012-06-07 14:33:51,127 WARN  [Content.crud-1] (rhq.core.pc.content.RetrieveContentBitsRunner)- Error calculating SHA256 [10051][Pack
ageDetails[Key=PackageDetailsKey[Name=cluster-demo.war, Version=[sha256=null] Arch=noarch Type=file]]]
java.lang.IllegalStateException: Deployment file seems to have disappeared
        at org.rhq.modules.plugins.jbossas7.DeploymentComponent.retrievePackageBits(DeploymentComponent.java:230)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:616)
        at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:634)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
        at java.util.concurrent.FutureTask.run(FutureTask.java:166)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
        at java.lang.Thread.run(Thread.java:636)
2012-06-07 14:33:51,128 WARN  [Content.crud-1] (rhq.core.pc.content.RetrieveContentBitsRunner)- Error calculating MD5 [10051][PackageDetails[Key=PackageDetailsKey[Name=cluster-demo.war, Version=[sha256=null] Arch=noarch Type=file]]]
java.lang.IllegalStateException: Deployment file seems to have disappeared
        at org.rhq.modules.plugins.jbossas7.DeploymentComponent.retrievePackageBits(DeploymentComponent.java:230)
        at sun.reflect.GeneratedMethodAccessor76.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:616)
        at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:634)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
        at java.util.concurrent.FutureTask.run(FutureTask.java:166)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
        at java.lang.Thread.run(Thread.java:636)


Expected results: an updated content of resource is retrieved


Additional info:updateBackingContent is crucial step for this bug to be reproduced

--- Additional comment from lkrejci@redhat.com on 2012-06-13 02:28:09 EDT ---

master http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=2a2102df22a4c87662e80e5704a2e8302ce0377d
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Tue Jun 12 19:01:59 2012 +0200

    [BZ 829751] - Make sure deploying a package updates the internal info
    about it.

--- Additional comment from lkrejci@redhat.com on 2012-06-13 02:49:09 EDT ---

Updating the component to "Plugins" to correctly reflect where the problem actually lies.
Comment 1 Stefan Negrea 2012-07-20 17:07:16 EDT
release/jon3.1.x branch commit:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=17db07284817d0eeeb78a32fa66d7e64f40e5415
Comment 2 John Sanda 2012-08-02 14:52:16 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 3 Libor Zoubek 2012-08-03 08:37:57 EDT
verified on JON 3.1.1 ER1
Comment 4 Heiko W. Rupp 2013-09-03 11:18:55 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.